Rumble: Videos Search
Videos Search from Rumble as JSON. 1 credit per successful call.
GET /v1/rumble/videos-searchNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
query | string | Required | Up to 191 characters |
offset | integer | Optional | Any |
limit | integer | Optional | Any |
sort | string | Optional | date, views, rumbles |
date | string | Optional | today |
duration | string | Optional | short, long |
video_type | string | Optional | shorts, long-form |
Example request
curl "https://api.perceptlayer.com/v1/rumble/videos-search" \
-H "X-API-Key: $API_KEY"